> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# twilio-voice

> Twilio Voice - Calls, conferences, queues, and recordings

**Server path:** `/twilio-voice` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                              | Description                                                                                                                                                         |
| ----------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`twilio_voice_create_call`](#twilio_voice_create_call)                                                           | Create a new outgoing call to phones, SIP-enabled endpoints or Twilio Client connections                                                                            |
| [`twilio_voice_create_call_recording`](#twilio_voice_create_call_recording)                                       | Create a recording for the call                                                                                                                                     |
| [`twilio_voice_create_message_feedback`](#twilio_voice_create_message_feedback)                                   | Create Message Feedback to confirm a tracked user action was performed by the recipient of the associated Message                                                   |
| [`twilio_voice_create_participant`](#twilio_voice_create_participant)                                             | POST /Conferences/\{ConferenceSid}/Participants.json                                                                                                                |
| [`twilio_voice_create_payments`](#twilio_voice_create_payments)                                                   | create an instance of payments. This will start a new payments session                                                                                              |
| [`twilio_voice_create_queue`](#twilio_voice_create_queue)                                                         | Create a queue                                                                                                                                                      |
| [`twilio_voice_create_realtime_transcription`](#twilio_voice_create_realtime_transcription)                       | Create a Transcription                                                                                                                                              |
| [`twilio_voice_create_siprec`](#twilio_voice_create_siprec)                                                       | Create a Siprec                                                                                                                                                     |
| [`twilio_voice_create_stream`](#twilio_voice_create_stream)                                                       | Create a Stream                                                                                                                                                     |
| [`twilio_voice_create_user_defined_message`](#twilio_voice_create_user_defined_message)                           | Create a new User Defined Message for the given Call SID.                                                                                                           |
| [`twilio_voice_create_user_defined_message_subscription`](#twilio_voice_create_user_defined_message_subscription) | Subscribe to User Defined Messages for a given Call SID.                                                                                                            |
| [`twilio_voice_delete_call`](#twilio_voice_delete_call)                                                           | Delete a Call record from your account. Once the record is deleted, it will no longer appear in the API and Account Portal logs.                                    |
| [`twilio_voice_delete_call_recording`](#twilio_voice_delete_call_recording)                                       | Delete a recording from your account                                                                                                                                |
| [`twilio_voice_delete_conference_recording`](#twilio_voice_delete_conference_recording)                           | Delete a recording from your account                                                                                                                                |
| [`twilio_voice_delete_participant`](#twilio_voice_delete_participant)                                             | Kick a participant from a given conference                                                                                                                          |
| [`twilio_voice_delete_queue`](#twilio_voice_delete_queue)                                                         | Remove an empty queue                                                                                                                                               |
| [`twilio_voice_delete_user_defined_message_subscription`](#twilio_voice_delete_user_defined_message_subscription) | Delete a specific User Defined Message Subscription.                                                                                                                |
| [`twilio_voice_fetch_call`](#twilio_voice_fetch_call)                                                             | Fetch the call specified by the provided Call SID                                                                                                                   |
| [`twilio_voice_fetch_call_notification`](#twilio_voice_fetch_call_notification)                                   | GET /Calls/\{CallSid}/Notifications/\{Sid}.json                                                                                                                     |
| [`twilio_voice_fetch_call_recording`](#twilio_voice_fetch_call_recording)                                         | Fetch an instance of a recording for a call                                                                                                                         |
| [`twilio_voice_fetch_conference`](#twilio_voice_fetch_conference)                                                 | Fetch an instance of a conference                                                                                                                                   |
| [`twilio_voice_fetch_conference_recording`](#twilio_voice_fetch_conference_recording)                             | Fetch an instance of a recording for a call                                                                                                                         |
| [`twilio_voice_fetch_member`](#twilio_voice_fetch_member)                                                         | Fetch a specific member from the queue                                                                                                                              |
| [`twilio_voice_fetch_participant`](#twilio_voice_fetch_participant)                                               | Fetch an instance of a participant                                                                                                                                  |
| [`twilio_voice_fetch_queue`](#twilio_voice_fetch_queue)                                                           | Fetch an instance of a queue identified by the QueueSid                                                                                                             |
| [`twilio_voice_list_call`](#twilio_voice_list_call)                                                               | Retrieves a collection of calls made to and from your account                                                                                                       |
| [`twilio_voice_list_call_notification`](#twilio_voice_list_call_notification)                                     | GET /Calls/\{CallSid}/Notifications.json                                                                                                                            |
| [`twilio_voice_list_call_recording`](#twilio_voice_list_call_recording)                                           | Retrieve a list of recordings belonging to the call used to make the request                                                                                        |
| [`twilio_voice_list_conference`](#twilio_voice_list_conference)                                                   | Retrieve a list of conferences belonging to the account used to make the request                                                                                    |
| [`twilio_voice_list_conference_recording`](#twilio_voice_list_conference_recording)                               | Retrieve a list of recordings belonging to the call used to make the request                                                                                        |
| [`twilio_voice_list_member`](#twilio_voice_list_member)                                                           | Retrieve the members of the queue                                                                                                                                   |
| [`twilio_voice_list_participant`](#twilio_voice_list_participant)                                                 | Retrieve a list of participants belonging to the account used to make the request                                                                                   |
| [`twilio_voice_list_queue`](#twilio_voice_list_queue)                                                             | Retrieve a list of queues belonging to the account used to make the request                                                                                         |
| [`twilio_voice_list_usage_record`](#twilio_voice_list_usage_record)                                               | Retrieve a list of usage-records belonging to the account used to make the request                                                                                  |
| [`twilio_voice_update_call`](#twilio_voice_update_call)                                                           | Initiates a call redirect or terminates a call                                                                                                                      |
| [`twilio_voice_update_call_recording`](#twilio_voice_update_call_recording)                                       | Changes the status of the recording to paused, stopped, or in-progress. Note: Pass `Twilio.CURRENT` instead of recording sid to reference current active recording. |
| [`twilio_voice_update_conference`](#twilio_voice_update_conference)                                               | POST /Conferences/\{Sid}.json                                                                                                                                       |
| [`twilio_voice_update_conference_recording`](#twilio_voice_update_conference_recording)                           | Changes the status of the recording to paused, stopped, or in-progress. Note: To use `Twilio.CURRENT`, pass it as recording sid.                                    |
| [`twilio_voice_update_member`](#twilio_voice_update_member)                                                       | Dequeue a member from a queue and have the member's call begin executing the TwiML document at that URL                                                             |
| [`twilio_voice_update_participant`](#twilio_voice_update_participant)                                             | Update the properties of the participant                                                                                                                            |
| [`twilio_voice_update_payments`](#twilio_voice_update_payments)                                                   | update an instance of payments with different phases of payment flows.                                                                                              |
| [`twilio_voice_update_queue`](#twilio_voice_update_queue)                                                         | Update the queue with the new parameters                                                                                                                            |
| [`twilio_voice_update_realtime_transcription`](#twilio_voice_update_realtime_transcription)                       | Stop a Transcription using either the SID of the Transcription resource or the `name` used when creating the resource                                               |
| [`twilio_voice_update_siprec`](#twilio_voice_update_siprec)                                                       | Stop a Siprec using either the SID of the Siprec resource or the `name` used when creating the resource                                                             |
| [`twilio_voice_update_stream`](#twilio_voice_update_stream)                                                       | Stop a Stream using either the SID of the Stream resource or the `name` used when creating the resource                                                             |

***

## twilio\_voice\_create\_call

Create a new outgoing call to phones, SIP-enabled endpoints or Twilio Client connections

**Parameters:**

| Parameter                            | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------------------------------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ApplicationSid`                     | string    | No       | —       | The SID of the Application resource that will handle the call, if the call will be handled by an application.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `AsyncAmd`                           | string    | No       | —       | Select whether to perform answering machine detection in the background. Default, blocks the execution of the call until Answering Machine Detection is completed. Can be: `true` or `false`.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `AsyncAmdStatusCallback`             | string    | No       | —       | The URL that we should call using the `async_amd_status_callback_method` to notify customer application whether the call was answered by human, machine or fax.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `AsyncAmdStatusCallbackMethod`       | string    | No       | —       | The HTTP method we should use when calling the `async_amd_status_callback` URL. Can be: `GET` or `POST` and the default is `POST`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `Byoc`                               | string    | No       | —       | The SID of a BYOC (Bring Your Own Carrier) trunk to route this call with. Note that `byoc` is only meaningful when `to` is a phone number; it will otherwise be ignored. (Beta)                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `CallerId`                           | string    | No       | —       | The phone number, SIP address, or Client identifier that made this call. Phone numbers are in [E.164 format](https://wwnw.twilio.com/docs/glossary/what-e164) (e.g., +16175551212). SIP addresses are formatted as `name@company.com`.                                                                                                                                                                                                                                                                                                                                                                                                                |
| `CallReason`                         | string    | No       | —       | The Reason for the outgoing call. Use it to specify the purpose of the call that is presented on the called party's phone. (Branded Calls Beta)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `CallToken`                          | string    | No       | —       | A token string needed to invoke a forwarded call. A call\_token is generated when an incoming call is received on a Twilio number. Pass an incoming call's call\_token value to a forwarded call via the call\_token parameter when creating a new call. A forwarded call should bear the same CallerID of the original incoming call.                                                                                                                                                                                                                                                                                                                |
| `ClientNotificationUrl`              | string    | No       | —       | The URL that we should use to deliver `push call notification`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `FallbackMethod`                     | string    | No       | —       | The HTTP method that we should use to request the `fallback_url`. Can be: `GET` or `POST` and the default is `POST`. If an `application_sid` parameter is present, this parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `FallbackUrl`                        | string    | No       | —       | The URL that we call using the `fallback_method` if an error occurs when requesting or executing the TwiML at `url`. If an `application_sid` parameter is present, this parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `From`                               | string    | Yes      | —       | The phone number or client identifier to use as the caller id. If using a phone number, it must be a Twilio number or a Verified [outgoing caller id](https://www.twilio.com/docs/voice/api/outgoing-caller-ids) for your account. If the `to` parameter is a phone number, `From` must also be a phone number.                                                                                                                                                                                                                                                                                                                                       |
| `MachineDetection`                   | string    | No       | —       | Whether to detect if a human, answering machine, or fax has picked up the call. Can be: `Enable` or `DetectMessageEnd`. Use `Enable` if you would like us to return `AnsweredBy` as soon as the called party is identified. Use `DetectMessageEnd`, if you would like to leave a message on an answering machine. If `send_digits` is provided, this parameter is ignored. For more information, see [Answering Machine Detection](https://www.twilio.com/docs/voice/answering-machine-detection).                                                                                                                                                    |
| `MachineDetectionSilenceTimeout`     | integer   | No       | —       | The number of milliseconds of initial silence after which an `unknown` AnsweredBy result will be returned. Possible Values: 2000-10000. Default: 5000.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `MachineDetectionSpeechEndThreshold` | integer   | No       | —       | The number of milliseconds of silence after speech activity at which point the speech activity is considered complete. Possible Values: 500-5000. Default: 1200.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `MachineDetectionSpeechThreshold`    | integer   | No       | —       | The number of milliseconds that is used as the measuring stick for the length of the speech activity, where durations lower than this value will be interpreted as a human and longer than this value as a machine. Possible Values: 1000-6000. Default: 2400.                                                                                                                                                                                                                                                                                                                                                                                        |
| `MachineDetectionTimeout`            | integer   | No       | —       | The number of seconds that we should attempt to detect an answering machine before timing out and sending a voice request with `AnsweredBy` of `unknown`. The default timeout is 30 seconds.                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `Method`                             | string    | No       | —       | The HTTP method we should use when calling the `url` parameter's value. Can be: `GET` or `POST` and the default is `POST`. If an `application_sid` parameter is present, this parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `Record`                             | boolean   | No       | —       | Whether to record the call. Can be `true` to record the phone call, or `false` to not. The default is `false`. The `recording_url` is sent to the `status_callback` URL.                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `RecordingChannels`                  | string    | No       | —       | The number of channels in the final recording. Can be: `mono` or `dual`. The default is `mono`. `mono` records both legs of the call in a single channel of the recording file. `dual` records each leg to a separate channel of the recording file. The first channel of a dual-channel recording contains the parent call and the second channel contains the child call.                                                                                                                                                                                                                                                                           |
| `RecordingStatusCallback`            | string    | No       | —       | The URL that we call when the recording is available to be accessed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `RecordingStatusCallbackEvent`       | string\[] | No       | —       | The recording status events that will trigger calls to the URL specified in `recording_status_callback`. Can be: `in-progress`, `completed` and `absent`. Defaults to `completed`. Separate  multiple values with a space.                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `RecordingStatusCallbackMethod`      | string    | No       | —       | The HTTP method we should use when calling the `recording_status_callback` URL. Can be: `GET` or `POST` and the default is `POST`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `RecordingTrack`                     | string    | No       | —       | The audio track to record for the call. Can be: `inbound`, `outbound` or `both`. The default is `both`. `inbound` records the audio that is received by Twilio. `outbound` records the audio that is generated from Twilio. `both` records the audio that is received and generated by Twilio.                                                                                                                                                                                                                                                                                                                                                        |
| `SendDigits`                         | string    | No       | —       | The string of keys to dial after connecting to the number, with a maximum length of 32 digits. Valid digits in the string include any digit (`0`-`9`), '`A`', '`B`', '`C`', '`D`', '`#`', and '`*`'. You can also use '`w`' to insert a half-second pause and '`W`' to insert a one-second pause. For example, to pause for one second after connecting and then dial extension 1234 followed by the # key, set this parameter to `W1234#`. Be sure to URL-encode this string because the '`#`' character has special meaning in a URL. If both `SendDigits` and `MachineDetection` parameters are provided, then `MachineDetection` will be ignored. |
| `SipAuthPassword`                    | string    | No       | —       | The password required to authenticate the user account specified in `sip_auth_username`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `SipAuthUsername`                    | string    | No       | —       | The username used to authenticate the caller making a SIP call.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `StatusCallback`                     | string    | No       | —       | The URL we should call using the `status_callback_method` to send status information to your application. If no `status_callback_event` is specified, we will send the `completed` status. If an `application_sid` parameter is present, this parameter is ignored. URLs must contain a valid hostname (underscores are not permitted).                                                                                                                                                                                                                                                                                                               |
| `StatusCallbackEvent`                | string\[] | No       | —       | The call progress events that we will send to the `status_callback` URL. Can be: `initiated`, `ringing`, `answered`, and `completed`. If no event is specified, we send the `completed` status. If you want to receive multiple events, specify each one in a separate `status_callback_event` parameter. See the code sample for [monitoring call progress](https://www.twilio.com/docs/voice/api/call-resource?code-sample=code-create-a-call-resource-and-specify-a-statuscallbackevent\&code-sdk-version=json). If an `application_sid` is present, this parameter is ignored.                                                                    |
| `StatusCallbackMethod`               | string    | No       | —       | The HTTP method we should use when calling the `status_callback` URL. Can be: `GET` or `POST` and the default is `POST`. If an `application_sid` parameter is present, this parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `TimeLimit`                          | integer   | No       | —       | The maximum duration of the call in seconds. Constraints depend on account and configuration.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `Timeout`                            | integer   | No       | —       | The integer number of seconds that we should allow the phone to ring before assuming there is no answer. The default is `60` seconds and the maximum is `600` seconds. For some call flows, we will add a 5-second buffer to the timeout value you provide. For this reason, a timeout value of 10 seconds could result in an actual timeout closer to 15 seconds. You can set this to a short time, such as `15` seconds, to hang up before reaching an answering machine or voicemail.                                                                                                                                                              |
| `To`                                 | string    | Yes      | —       | The phone number, SIP address, or client identifier to call.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `Trim`                               | string    | No       | —       | Whether to trim any leading and trailing silence from the recording. Can be: `trim-silence` or `do-not-trim` and the default is `trim-silence`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `Twiml`                              | string    | No       | —       | TwiML instructions for the call Twilio will use without fetching Twiml from url parameter. If both `twiml` and `url` are provided then `twiml` parameter will be ignored. Max 4000 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `Url`                                | string    | No       | —       | The absolute URL that returns the TwiML instructions for the call. We will call this URL using the `method` when the call connects. For more information, see the [Url Parameter](https://www.twilio.com/docs/voice/make-calls#specify-a-url-parameter) section in [Making Calls](https://www.twilio.com/docs/voice/make-calls).                                                                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ApplicationSid": {
        "type": "string",
        "description": "The SID of the Application resource that will handle the call, if the call will be handled by an application."
      },
      "AsyncAmd": {
        "type": "string",
        "description": "Select whether to perform answering machine detection in the background. Default, blocks the execution of the call until Answering Machine Detection is completed. Can be: `true` or `false`."
      },
      "AsyncAmdStatusCallback": {
        "type": "string",
        "description": "The URL that we should call using the `async_amd_status_callback_method` to notify customer application whether the call was answered by human, machine or fax."
      },
      "AsyncAmdStatusCallbackMethod": {
        "type": "string",
        "description": "The HTTP method we should use when calling the `async_amd_status_callback` URL. Can be: `GET` or `POST` and the default is `POST`.",
        "enum": [
          "GET",
          "POST"
        ]
      },
      "Byoc": {
        "type": "string",
        "description": "The SID of a BYOC (Bring Your Own Carrier) trunk to route this call with. Note that `byoc` is only meaningful when `to` is a phone number; it will otherwise be ignored. (Beta)"
      },
      "CallerId": {
        "type": "string",
        "description": "The phone number, SIP address, or Client identifier that made this call. Phone numbers are in [E.164 format](https://wwnw.twilio.com/docs/glossary/what-e164) (e.g., +16175551212). SIP addresses are formatted as `name@company.com`."
      },
      "CallReason": {
        "type": "string",
        "description": "The Reason for the outgoing call. Use it to specify the purpose of the call that is presented on the called party's phone. (Branded Calls Beta)"
      },
      "CallToken": {
        "type": "string",
        "description": "A token string needed to invoke a forwarded call. A call_token is generated when an incoming call is received on a Twilio number. Pass an incoming call's call_token value to a forwarded call via the call_token parameter when creating a new call. A forwarded call should bear the same CallerID of the original incoming call."
      },
      "ClientNotificationUrl": {
        "type": "string",
        "description": "The URL that we should use to deliver `push call notification`."
      },
      "FallbackMethod": {
        "type": "string",
        "description": "The HTTP method that we should use to request the `fallback_url`. Can be: `GET` or `POST` and the default is `POST`. If an `application_sid` parameter is present, this parameter is ignored.",
        "enum": [
          "GET",
          "POST"
        ]
      },
      "FallbackUrl": {
        "type": "string",
        "description": "The URL that we call using the `fallback_method` if an error occurs when requesting or executing the TwiML at `url`. If an `application_sid` parameter is present, this parameter is ignored."
      },
      "From": {
        "type": "string",
        "description": "The phone number or client identifier to use as the caller id. If using a phone number, it must be a Twilio number or a Verified [outgoing caller id](https://www.twilio.com/docs/voice/api/outgoing-caller-ids) for your account. If the `to` parameter is a phone number, `From` must also be a phone number."
      },
      "MachineDetection": {
        "type": "string",
        "description": "Whether to detect if a human, answering machine, or fax has picked up the call. Can be: `Enable` or `DetectMessageEnd`. Use `Enable` if you would like us to return `AnsweredBy` as soon as the called party is identified. Use `DetectMessageEnd`, if you would like to leave a message on an answering machine. If `send_digits` is provided, this parameter is ignored. For more information, see [Answering Machine Detection](https://www.twilio.com/docs/voice/answering-machine-detection)."
      },
      "MachineDetectionSilenceTimeout": {
        "type": "integer",
        "description": "The number of milliseconds of initial silence after which an `unknown` AnsweredBy result will be returned. Possible Values: 2000-10000. Default: 5000."
      },
      "MachineDetectionSpeechEndThreshold": {
        "type": "integer",
        "description": "The number of milliseconds of silence after speech activity at which point the speech activity is considered complete. Possible Values: 500-5000. Default: 1200."
      },
      "MachineDetectionSpeechThreshold": {
        "type": "integer",
        "description": "The number of milliseconds that is used as the measuring stick for the length of the speech activity, where durations lower than this value will be interpreted as a human and longer than this value as a machine. Possible Values: 1000-6000. Default: 2400."
      },
      "MachineDetectionTimeout": {
        "type": "integer",
        "description": "The number of seconds that we should attempt to detect an answering machine before timing out and sending a voice request with `AnsweredBy` of `unknown`. The default timeout is 30 seconds."
      },
      "Method": {
        "type": "string",
        "description": "The HTTP method we should use when calling the `url` parameter's value. Can be: `GET` or `POST` and the default is `POST`. If an `application_sid` parameter is present, this parameter is ignored.",
        "enum": [
          "GET",
          "POST"
        ]
      },
      "Record": {
        "type": "boolean",
        "description": "Whether to record the call. Can be `true` to record the phone call, or `false` to not. The default is `false`. The `recording_url` is sent to the `status_callback` URL."
      },
      "RecordingChannels": {
        "type": "string",
        "description": "The number of channels in the final recording. Can be: `mono` or `dual`. The default is `mono`. `mono` records both legs of the call in a single channel of the recording file. `dual` records each leg to a separate channel of the recording file. The first channel of a dual-channel recording contains the parent call and the second channel contains the child call."
      },
      "RecordingStatusCallback": {
        "type": "string",
        "description": "The URL that we call when the recording is available to be accessed."
      },
      "RecordingStatusCallbackEvent": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The recording status events that will trigger calls to the URL specified in `recording_status_callback`. Can be: `in-progress`, `completed` and `absent`. Defaults to `completed`. Separate  multiple values with a space."
      },
      "RecordingStatusCallbackMethod": {
        "type": "string",
        "description": "The HTTP method we should use when calling the `recording_status_callback` URL. Can be: `GET` or `POST` and the default is `POST`.",
        "enum": [
          "GET",
          "POST"
        ]
      },
      "RecordingTrack": {
        "type": "string",
        "description": "The audio track to record for the call. Can be: `inbound`, `outbound` or `both`. The default is `both`. `inbound` records the audio that is received by Twilio. `outbound` records the audio that is generated from Twilio. `both` records the audio that is received and generated by Twilio."
      },
      "SendDigits": {
        "type": "string",
        "description": "The string of keys to dial after connecting to the number, with a maximum length of 32 digits. Valid digits in the string include any digit (`0`-`9`), '`A`', '`B`', '`C`', '`D`', '`#`', and '`*`'. You can also use '`w`' to insert a half-second pause and '`W`' to insert a one-second pause. For example, to pause for one second after connecting and then dial extension 1234 followed by the # key, set this parameter to `W1234#`. Be sure to URL-encode this string because the '`#`' character has special meaning in a URL. If both `SendDigits` and `MachineDetection` parameters are provided, then `MachineDetection` will be ignored."
      },
      "SipAuthPassword": {
        "type": "string",
        "description": "The password required to authenticate the user account specified in `sip_auth_username`."
      },
      "SipAuthUsername": {
        "type": "string",
        "description": "The username used to authenticate the caller making a SIP call."
      },
      "StatusCallback": {
        "type": "string",
        "description": "The URL we should call using the `status_callback_method` to send status information to your application. If no `status_callback_event` is specified, we will send the `completed` status. If an `application_sid` parameter is present, this parameter is ignored. URLs must contain a valid hostname (underscores are not permitted)."
      },
      "StatusCallbackEvent": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The call progress events that we will send to the `status_callback` URL. Can be: `initiated`, `ringing`, `answered`, and `completed`. If no event is specified, we send the `completed` status. If you want to receive multiple events, specify each one in a separate `status_callback_event` parameter. See the code sample for [monitoring call progress](https://www.twilio.com/docs/voice/api/call-resource?code-sample=code-create-a-call-resource-and-specify-a-statuscallbackevent&code-sdk-version=json). If an `application_sid` is present, this parameter is ignored."
      },
      "StatusCallbackMethod": {
        "type": "string",
        "description": "The HTTP method we should use when calling the `status_callback` URL. Can be: `GET` or `POST` and the default is `POST`. If an `application_sid` parameter is present, this parameter is ignored.",
        "enum": [
          "GET",
          "POST"
        ]
      },
      "TimeLimit": {
        "type": "integer",
        "description": "The maximum duration of the call in seconds. Constraints depend on account and configuration."
      },
      "Timeout": {
        "type": "integer",
        "description": "The integer number of seconds that we should allow the phone to ring before assuming there is no answer. The default is `60` seconds and the maximum is `600` seconds. For some call flows, we will add a 5-second buffer to the timeout value you provide. For this reason, a timeout value of 10 seconds could result in an actual timeout closer to 15 seconds. You can set this to a short time, such as `15` seconds, to hang up before reaching an answering machine or voicemail."
      },
      "To": {
        "type": "string",
        "description": "The phone number, SIP address, or client identifier to call."
      },
      "Trim": {
        "type": "string",
        "description": "Whether to trim any leading and trailing silence from the recording. Can be: `trim-silence` or `do-not-trim` and the default is `trim-silence`."
      },
      "Twiml": {
        "type": "string",
        "description": "TwiML instructions for the call Twilio will use without fetching Twiml from url parameter. If both `twiml` and `url` are provided then `twiml` parameter will be ignored. Max 4000 characters."
      },
      "Url": {
        "type": "string",
        "description": "The absolute URL that returns the TwiML instructions for the call. We will call this URL using the `method` when the call connects. For more information, see the [Url Parameter](https://www.twilio.com/docs/voice/make-calls#specify-a-url-parameter) section in [Making Calls](https://www.twilio.com/docs/voice/make-calls)."
      }
    },
    "required": [
      "PCID",
      "From",
      "To"
    ]
  }
  ```
</Expandable>

***

## twilio\_voice\_create\_call\_recording

Create a recording for the call

**Parameters:**

| Parameter                       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                    |
| ------------------------------- | --------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `CallSid`                       | string    | Yes      | —       | The SID of the [Call](https://www.twilio.com/docs/voice/api/call-resource) to associate the resource with.                                                                                                                                                                                     |
| `RecordingChannels`             | string    | No       | —       | The number of channels used in the recording. Can be: `mono` or `dual` and the default is `mono`. `mono` records all parties of the call into one channel. `dual` records each party of a 2-party call into separate channels.                                                                 |
| `RecordingStatusCallback`       | string    | No       | —       | The URL we should call using the `recording_status_callback_method` on each recording event specified in  `recording_status_callback_event`. For more information, see [RecordingStatusCallback parameters](https://www.twilio.com/docs/voice/api/recording#recordingstatuscallback).          |
| `RecordingStatusCallbackEvent`  | string\[] | No       | —       | The recording status events on which we should call the `recording_status_callback` URL. Can be: `in-progress`, `completed` and `absent` and the default is `completed`. Separate multiple event values with a space.                                                                          |
| `RecordingStatusCallbackMethod` | string    | No       | —       | The HTTP method we should use to call `recording_status_callback`. Can be: `GET` or `POST` and the default is `POST`.                                                                                                                                                                          |
| `RecordingTrack`                | string    | No       | —       | The audio track to record for the call. Can be: `inbound`, `outbound` or `both`. The default is `both`. `inbound` records the audio that is received by Twilio. `outbound` records the audio that is generated from Twilio. `both` records the audio that is received and generated by Twilio. |
| `Trim`                          | string    | No       | —       | Whether to trim any leading and trailing silence in the recording. Can be: `trim-silence` or `do-not-trim` and the default is `do-not-trim`. `trim-silence` trims the silence from the beginning and end of the recording and `do-not-trim` does not.                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "CallSid": {
        "type": "string",
        "description": "The SID of the [Call](https://www.twilio.com/docs/voice/api/call-resource) to associate the resource with."
      },
      "RecordingChannels": {
        "type": "string",
        "description": "The number of channels used in the recording. Can be: `mono` or `dual` and the default is `mono`. `mono` records all parties of the call into one channel. `dual` records each party of a 2-party call into separate channels."
      },
      "RecordingStatusCallback": {
        "type": "string",
        "description": "The URL we should call using the `recording_status_callback_method` on each recording event specified in  `recording_status_callback_event`. For more information, see [RecordingStatusCallback parameters](https://www.twilio.com/docs/voice/api/recording#recordingstatuscallback)."
      },
      "RecordingStatusCallbackEvent": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The recording status events on which we should call the `recording_status_callback` URL. Can be: `in-progress`, `completed` and `absent` and the default is `completed`. Separate multiple event values with a space."
      },
      "RecordingStatusCallbackMethod": {
        "type": "string",
        "description": "The HTTP method we should use to call `recording_status_callback`. Can be: `GET` or `POST` and the default is `POST`.",
        "enum": [
          "GET",
          "POST"
        ]
      },
      "RecordingTrack": {
        "type": "string",
        "description": "The audio track to record for the call. Can be: `inbound`, `outbound` or `both`. The default is `both`. `inbound` records the audio that is received by Twilio. `outbound` records the audio that is generated from Twilio. `both` records the audio that is received and generated by Twilio."
      },
      "Trim": {
        "type": "string",
        "description": "Whether to trim any leading and trailing silence in the recording. Can be: `trim-silence` or `do-not-trim` and the default is `do-not-trim`. `trim-silence` trims the silence from the beginning and end of the recording and `do-not-trim` does not."
      }
    },
    "required": [
      "PCID",
      "CallSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_voice\_create\_message\_feedback

Create Message Feedback to confirm a tracked user action was performed by the recipient of the associated Message

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                                                                                                                                                                                                                                                                                                    |
| ------------ | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `MessageSid` | string | Yes      | —       | The SID of the Message resource for which to create MessageFeedback.                                                                                                                                                                                                                                                           |
| `Outcome`    | string | No       | —       | Reported outcome indicating whether there is confirmation that the Message recipient performed a tracked user action. Can be: `unconfirmed` or `confirmed`. For more details see [How to Optimize Message Deliverability with Message Feedback](https://www.twilio.com/docs/messaging/guides/send-message-feedback-to-twilio). |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "MessageSid": {
        "type": "string",
        "description": "The SID of the Message resource for which to create MessageFeedback."
      },
      "Outcome": {
        "type": "string",
        "description": "Reported outcome indicating whether there is confirmation that the Message recipient performed a tracked user action. Can be: `unconfirmed` or `confirmed`. For more details see [How to Optimize Message Deliverability with Message Feedback](https://www.twilio.com/docs/messaging/guides/send-message-feedback-to-twilio).",
        "enum": [
          "confirmed",
          "unconfirmed"
        ]
      }
    },
    "required": [
      "PCID",
      "MessageSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_voice\_create\_participant

POST /Conferences/\{ConferenceSid}/Participants.json

**Parameters:**

| Parameter                                 | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------------------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ConferenceSid`                           | string    | Yes      | —       | The SID of the participant's conference.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `AmdStatusCallback`                       | string    | No       | —       | The URL that we should call using the `amd_status_callback_method` to notify customer application whether the call was answered by human, machine or fax.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `AmdStatusCallbackMethod`                 | string    | No       | —       | The HTTP method we should use when calling the `amd_status_callback` URL. Can be: `GET` or `POST` and the default is `POST`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `Beep`                                    | string    | No       | —       | Whether to play a notification beep to the conference when the participant joins. Can be: `true`, `false`, `onEnter`, or `onExit`. The default value is `true`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `Byoc`                                    | string    | No       | —       | The SID of a BYOC (Bring Your Own Carrier) trunk to route this call with. Note that `byoc` is only meaningful when `to` is a phone number; it will otherwise be ignored. (Beta)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `CallerDisplayName`                       | string    | No       | —       | The name that populates the display name in the From header. Must be between 2 and 255 characters. Only applicable for calls to sip address.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `CallerId`                                | string    | No       | —       | The phone number, Client identifier, or username portion of SIP address that made this call. Phone numbers are in [E.164](https://www.twilio.com/docs/glossary/what-e164) format (e.g., +16175551212). Client identifiers are formatted `client:name`. If using a phone number, it must be a Twilio number or a Verified [outgoing caller id](https://www.twilio.com/docs/voice/api/outgoing-caller-ids) for your account. If the `to` parameter is a phone number, `callerId` must also be a phone number. If `to` is sip address, this value of `callerId` should be a username portion to be used to populate the From header that is passed to the SIP endpoint.        |
| `CallReason`                              | string    | No       | —       | The Reason for the outgoing call. Use it to specify the purpose of the call that is presented on the called party's phone. (Branded Calls Beta)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `CallSidToCoach`                          | string    | No       | —       | The SID of the participant who is being `coached`. The participant being coached is the only participant who can hear the participant who is `coaching`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `CallToken`                               | string    | No       | —       | A token string needed to invoke a forwarded call. A call\_token is generated when an incoming call is received on a Twilio number. Pass an incoming call's call\_token value to a forwarded call via the call\_token parameter when creating a new call. A forwarded call should bear the same CallerID of the original incoming call.                                                                                                                                                                                                                                                                                                                                      |
| `ClientNotificationUrl`                   | string    | No       | —       | The URL that we should use to deliver `push call notification`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `Coaching`                                | boolean   | No       | —       | Whether the participant is coaching another call. Can be: `true` or `false`. If not present, defaults to `false` unless `call_sid_to_coach` is defined. If `true`, `call_sid_to_coach` must be defined.                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `ConferenceRecord`                        | string    | No       | —       | Whether to record the conference the participant is joining. Can be: `true`, `false`, `record-from-start`, and `do-not-record`. The default value is `false`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `ConferenceRecordingStatusCallback`       | string    | No       | —       | The URL we should call using the `conference_recording_status_callback_method` when the conference recording is available.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `ConferenceRecordingStatusCallbackEvent`  | string\[] | No       | —       | The conference recording state changes that generate a call to `conference_recording_status_callback`. Can be: `in-progress`, `completed`, `failed`, and `absent`. Separate multiple values with a space, ex: `'in-progress completed failed'`                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `ConferenceRecordingStatusCallbackMethod` | string    | No       | —       | The HTTP method we should use to call `conference_recording_status_callback`. Can be: `GET` or `POST` and defaults to `POST`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `ConferenceStatusCallback`                | string    | No       | —       | The URL we should call using the `conference_status_callback_method` when the conference events in `conference_status_callback_event` occur. Only the value set by the first participant to join the conference is used. Subsequent `conference_status_callback` values are ignored.                                                                                                                                                                                                                                                                                                                                                                                        |
| `ConferenceStatusCallbackEvent`           | string\[] | No       | —       | The conference state changes that should generate a call to `conference_status_callback`. Can be: `start`, `end`, `join`, `leave`, `mute`, `hold`, `modify`, `speaker`, and `announcement`. Separate multiple values with a space. Defaults to `start end`.                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `ConferenceStatusCallbackMethod`          | string    | No       | —       | The HTTP method we should use to call `conference_status_callback`. Can be: `GET` or `POST` and defaults to `POST`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `ConferenceTrim`                          | string    | No       | —       | Whether to trim leading and trailing silence from the conference recording. Can be: `trim-silence` or `do-not-trim` and defaults to `trim-silence`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `EarlyMedia`                              | boolean   | No       | —       | Whether to allow an agent to hear the state of the outbound call, including ringing or disconnect messages. Can be: `true` or `false` and defaults to `true`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `EndConferenceOnExit`                     | boolean   | No       | —       | Whether to end the conference when the participant leaves. Can be: `true` or `false` and defaults to `false`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `From`                                    | string    | Yes      | —       | The phone number, Client identifier, or username portion of SIP address that made this call. Phone numbers are in [E.164](https://www.twilio.com/docs/glossary/what-e164) format (e.g., +16175551212). Client identifiers are formatted `client:name`. If using a phone number, it must be a Twilio number or a Verified [outgoing caller id](https://www.twilio.com/docs/voice/api/outgoing-caller-ids) for your account. If the `to` parameter is a phone number, `from` must also be a phone number. If `to` is sip address, this value of `from` should be a username portion to be used to populate the P-Asserted-Identity header that is passed to the SIP endpoint. |
| `JitterBufferSize`                        | string    | No       | —       | Jitter buffer size for the connecting participant. Twilio will use this setting to apply Jitter Buffer before participant's audio is mixed into the conference. Can be: `off`, `small`, `medium`, and `large`. Default to `large`.                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `Label`                                   | string    | No       | —       | A label for this participant. If one is supplied, it may subsequently be used to fetch, update or delete the participant.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `MachineDetection`                        | string    | No       | —       | Whether to detect if a human, answering machine, or fax has picked up the call. Can be: `Enable` or `DetectMessageEnd`. Use `Enable` if you would like us to return `AnsweredBy` as soon as the called party is identified. Use `DetectMessageEnd`, if you would like to leave a message on an answering machine. For more information, see [Answering Machine Detection](https://www.twilio.com/docs/voice/answering-machine-detection).                                                                                                                                                                                                                                   |
| `MachineDetectionSilenceTimeout`          | integer   | No       | —       | The number of milliseconds of initial silence after which an `unknown` AnsweredBy result will be returned. Possible Values: 2000-10000. Default: 5000.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `MachineDetectionSpeechEndThreshold`      | integer   | No       | —       | The number of milliseconds of silence after speech activity at which point the speech activity is considered complete. Possible Values: 500-5000. Default: 1200.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `MachineDetectionSpeechThreshold`         | integer   | No       | —       | The number of milliseconds that is used as the measuring stick for the length of the speech activity, where durations lower than this value will be interpreted as a human and longer than this value as a machine. Possible Values: 1000-6000. Default: 2400.                                                                                                                                                                                                                                                                                                                                                                                                              |
| `MachineDetectionTimeout`                 | integer   | No       | —       | The number of seconds that we should attempt to detect an answering machine before timing out and sending a voice request with `AnsweredBy` of `unknown`. The default timeout is 30 seconds.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `MaxParticipants`                         | integer   | No       | —       | The maximum number of participants in the conference. Can be a positive integer from `2` to `250`. The default value is `250`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `Muted`                                   | boolean   | No       | —       | Whether the agent is muted in the conference. Can be `true` or `false` and the default is `false`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `Record`                                  | boolean   | No       | —       | Whether to record the participant and their conferences, including the time between conferences. Can be `true` or `false` and the default is `false`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `RecordingChannels`                       | string    | No       | —       | The recording channels for the final recording. Can be: `mono` or `dual` and the default is `mono`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `RecordingStatusCallback`                 | string    | No       | —       | The URL that we should call using the `recording_status_callback_method` when the recording status changes.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `RecordingStatusCallbackEvent`            | string\[] | No       | —       | The recording state changes that should generate a call to `recording_status_callback`. Can be: `started`, `in-progress`, `paused`, `resumed`, `stopped`, `completed`, `failed`, and `absent`. Separate multiple values with a space, ex: `'in-progress completed failed'`.                                                                                                                                                                                                                                                                                                                                                                                                 |
| `RecordingStatusCallbackMethod`           | string    | No       | —       | The HTTP method we should use when we call `recording_status_callback`. Can be: `GET` or `POST` and defaults to `POST`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `RecordingTrack`                          | string    | No       | —       | The audio track to record for the call. Can be: `inbound`, `outbound` or `both`. The default is `both`. `inbound` records the audio that is received by Twilio. `outbound` records the audio that is sent from Twilio. `both` records the audio that is received and sent by Twilio.                                                                                                                                                                                                                                                                                                                                                                                        |
| `Region`                                  | string    | No       | —       | The [region](https://support.twilio.com/hc/en-us/articles/223132167-How-global-low-latency-routing-and-region-selection-work-for-conferences-and-Client-calls) where we should mix the recorded audio. Can be:`us1`, `us2`, `ie1`, `de1`, `sg1`, `br1`, `au1`, or `jp1`.                                                                                                                                                                                                                                                                                                                                                                                                    |
| `SipAuthPassword`                         | string    | No       | —       | The SIP password for authentication.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `SipAuthUsername`                         | string    | No       | —       | The SIP username used for authentication.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `StartConferenceOnEnter`                  | boolean   | No       | —       | Whether to start the conference when the participant joins, if it has not already started. Can be: `true` or `false` and the default is `true`. If `false` and the conference has not started, the participant is muted and hears background music until another participant starts the conference.                                                                                                                                                                                                                                                                                                                                                                         |
| `StatusCallback`                          | string    | No       | —       | The URL we should call using the `status_callback_method` to send status information to your application.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `StatusCallbackEvent`                     | string\[] | No       | —       | The conference state changes that should generate a call to `status_callback`. Can be: `initiated`, `ringing`, `answered`, and `completed`. Separate multiple values with a space. The default value is `completed`.                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `StatusCallbackMethod`                    | string    | No       | —       | The HTTP method we should use to call `status_callback`. Can be: `GET` and `POST` and defaults to `POST`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `TimeLimit`                               | integer   | No       | —       | The maximum duration of the call in seconds. Constraints depend on account and configuration.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `Timeout`                                 | integer   | No       | —       | The number of seconds that we should allow the phone to ring before assuming there is no answer. Can be an integer between `5` and `600`, inclusive. The default value is `60`. We always add a 5-second timeout buffer to outgoing calls, so  value of 10 would result in an actual timeout that was closer to 15 seconds.                                                                                                                                                                                                                                                                                                                                                 |
| `To`                                      | string    | Yes      | —       | The phone number, SIP address, Client, TwiML App identifier that received this call. Phone numbers are in [E.164](https://www.twilio.com/docs/glossary/what-e164) format (e.g., +16175551212). SIP addresses are formatted as `sip:name@company.com`. Client identifiers are formatted `client:name`. TwiML App identifiers are formatted `app:&lt;APP_SID&gt;`. [Custom parameters](https://www.twilio.com/docs/voice/api/conference-participant-resource#custom-parameters) may also be specified.                                                                                                                                                                        |
| `Trim`                                    | string    | No       | —       | Whether to trim any leading and trailing silence from the participant recording. Can be: `trim-silence` or `do-not-trim` and the default is `trim-silence`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `WaitMethod`                              | string    | No       | —       | The HTTP method we should use to call `wait_url`. Can be `GET` or `POST` and the default is `POST`. When using a static audio file, this should be `GET` so that we can cache the file.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `WaitUrl`                                 | string    | No       | —       | The URL that Twilio calls using the `wait_method` before the conference has started. The URL may return an MP3 file, a WAV file, or a TwiML document. The default value is the URL of our standard hold music. If you do not want anything to play while waiting for the conference to start, specify an empty string by setting `wait_url` to `''`. For more details on the allowable verbs within the `waitUrl`, see the `waitUrl` attribute in the [\<Conference> TwiML instruction](https://www.twilio.com/docs/voice/twiml/conference#attributes-waiturl).                                                                                                             |
[...]
